Subject: Re: [PATCH v4 2/8] SubmittingPatches: clarify 'git-contacts' location

From: Junio C Hamano <[email-masked]>
Date: Tue, 16 Apr 2024 19:40:44 -0700

Linus Arver <[email-masked]> writes:

> Anyway, should I do something like "#!/usr/bin/env perl" or similar as
> another patch? It should be more portable than the hardcoded path we
> have to /usr/bin/perl.

The project preference always has been to replace #!/usr/bin/$prog
when installing to match the system's path, without having to assume
that "env" is available and is installed in /usr/bin/

We are not installing this thing (yet), so how about giving an
instruction to run "perl contrib/contacts/git-contacts", only
assuming that the user is intelligent enough to be able to react to
"perl: not found" by installing it on their path?